SLABTOP(1)

NOM
slabtop - Afficher en temps réel les informations de cache slab noyau

SYNOPSIS
slabtop [ options ]

DESCRIPTION
slabtop(1) affiche en temps réel les informations de cache slab noyau. Il affiche, à la manière de top(1), les caches triés suivant un critère. Il affiche également un en-tête de statistiques rempli d'informations de la couche slab.

OPTIONS
L'invocation normale de slabtop(1) ne nécessite aucune option. Le comportement peut toutefois être ajusté en spécifiant une ou plusieurs des options suivantes :

--delay=n, -d n
    Rafraîchir l'affichage toutes les n secondes. Par défaut, le rafraîchissement se fait toutes les trois secondes. Pour quitter le programme, taper q.

--sort=S, -s T
    Trier par T, où T est un critère de tri.

--once, -o
    Afficher la sortie une seule fois et quitter.

--version, -V
    Afficher la version et quitter.

--help
    Afficher un message d'usage et quitter.

CRITÈRES DE TRI
Les critères de tri valides sont les suivants, ils déterminent les caches slab qui seront en haut de la liste. Le critère de tri par défaut est le tri par numéro d'objet (« o »). Le critère de tri peut également être modifié pendant l'exécution de slabtop en pressant la touche caractère associée.

a:  trier par numéro d'objet actif

b:  trier par objet par slab

c:  trier par taille de cache

l:  trier par numéro de slab

v   trier par numéro de slabs actifs

n:  trier par nom

o:  trier par numéro d'objet

p:  trier par pages par slab

s:  trier par taille d'objet

u:  trier par utilisation de cache

COMMANDES
slabtop(1) accepte les commandes au clavier en cours d'exécution. Les suivantes sont acceptées. Dans le cas de lettres, la case n'a pas d'importance. Chaque caractère correspondant à un tri valide est accepté. Voir la section CRITÈRES DE TRI.

<BARRE_ESPACE>
    Rafraîchir l'affichage.

Q   Quitter le programme.

FICHIERS
/proc/slabinfo -- information slab

NOTES
Actuellement, slabtop(1) nécessite un noyau 2.4 ou ultérieur (plus particulièrement la version 1.1 ou ultérieure de /proc/slabinfo). Le noyau 2.2 devrait être supporté dans le futur. L'en-tête de statistique suit le nombre octets de slabs utilisés, ce n'est pas une mesure de la mémoire physique. Le champ « Slab » dans le fichier /proc/meminfo suit l'information sur la mémoire physique slab utilisée.

AUTEURS
Écrit par Chris Rivera et Robert Love. slabtop(1) a été inspiré par le script perl vmtop de Martin Bligh. Le paquet procps est maintenu par Albert Cahalan <albert@users.sf.net>. Merci d'envoyer vos rapports de bogues, en anglais, à <procps-feedback@lists.sf.net>.

VOIR AUSSI
free(1), ps(1), top(1), vmstat(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 21 juillet 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 slabtop ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.